<style type="text/css">
	#pagehead {
		margin: 0 0 1rem 0; padding: 2rem 0 2rem 1rem;
		background-color: var(--color-01);
		color: white;
	}

	#pagehead .title {
		font-family: "Metropolis"; font-weight: 600; font-size: 2.5rem;
		color: var(--color-11);
	}

	#pagehead .summary {
		padding: 1rem 0 0 0;
		font-family: "Metropolis"; font-weight: 300; font-size: 1.2rem;
	}

	#allPosts .card {
		border: none;
		flex-direction: row;
		align-items: center;
	}
	#allPosts .card-img {
		max-width: 96px;
	}
	#allPosts .card-body {
		padding: 0 0 1.5rem 1rem;
	}
	#allPosts .card-title {
		font-weight: 700; font-size: 1.2rem;
	}
</style>

<div id="pagehead">
	<div class="container">
		<div class="title">All Posts</div>
	</div>
</div>

<div class="container">
	<div id="allPosts">
		<div class="card" v-for="post in posts">
			<img v-bind:src=" post.thumbnail ? post.thumbnail : '_assets/images/onepixel.png' "
					class="card-img" />
			<div class="card-body">
				<div class="card-title">
					<a v-bind:href="'#!/' + post.slug">{{ post.title }}</a>
				</div>
				<div class="card-text">{{ post.summary }}</div>
			</div>
		</div>
	</div>
</div>